## marble 25.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(MARBLE_LIB_SOVERSION 28)

project(marble VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.5.0")
set(QT_MIN_VERSION "6.6")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH
    ${ECM_MODULE_PATH}
    ${CMAKE_SOURCE_DIR}/cmake/modules
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake_find_rules
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake_scripts
    ${CMAKE_MODULE_PATH}
)

include(FeatureSummary)
include(GNUInstallDirs)
include(GenerateExportHeader)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMSetupVersion)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMEnableSanitizers)
include(ECMCoverageOption)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(ECMDeprecationSettings)
include(MarbleMacros)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX MARBLE
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/src/lib/marble/marble_version.h
    SOVERSION 28
)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_KEYWORDS)

####################################################
# Generate the tiles with the tilecreator at compile time
# if this option is set, srtm.jpg will not be installed but the generated tiles instead
option(MOBILE "Create a Marble version optimized for handheld devices" OFF)

####################################################
# Provide opt-in switch for mobile variant, which is not only useful for Android.
option(BUILD_TOUCH "Build touch-friendly Marble version (on Android this option is bypassed)" OFF)

option(BUILD_QT_AND_KDE "Build pure Qt version and KDE version. Only useful for distributions who split the marble in two packages. Otherwise just provide the KDE version to your users.")

####################################################
# Build a D-Bus interface for the Marble widget
# This is disabled by default for all win32, apple and Android
if(WIN32 OR APPLE OR ANDROID)
    option(BUILD_WITH_DBUS "Build the D-Bus interface for the Marble widget" OFF)
else()
    option(BUILD_WITH_DBUS "Build the D-Bus interface for the Marble widget" ON)
endif()

option(BUILD_MARBLE_APPS "Build the main Marble applications" ON)
add_feature_info(MarbleApps BUILD_MARBLE_APPS "Build the main Marble applications")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 5.15
    KF 6.7.0
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED
    COMPONENTS
        Core
        Xml
        Network
        Widgets
        Svg
        SvgWidgets
        Sql
        Concurrent
        Quick
        PrintSupport
        Core5Compat
)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Test)
endif()

find_package(KF6 ${KF_MIN_VERSION} COMPONENTS CoreAddons I18n Config)
if(NOT ANDROID)
    find_package(KF6 ${KF_MIN_VERSION} COMPONENTS Crash Parts)
endif()

set_package_properties(KF6 PROPERTIES
    PURPOSE "Required for building the applications"
    TYPE RECOMMENDED
)

find_package(Protobuf)
set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")

if(ANDROID)
    find_package(Qt6Positioning ${REQUIRED_QT_VERSION} REQUIRED)
    find_package(Qt6Multimedia ${REQUIRED_QT_VERSION} REQUIRED)

   set(MARBLE_NO_WEBKITWIDGETS TRUE)
else()
    find_package(Qt6WebChannel ${REQUIRED_QT_VERSION})
    find_package(Qt6WebEngineWidgets ${REQUIRED_QT_VERSION})
    find_package(Qt6WebEngineQuick ${REQUIRED_QT_VERSION})

   if( NOT Qt6WebEngineWidgets_FOUND)
     set(MARBLE_NO_WEBKITWIDGETS TRUE)
   endif()
endif()

if(BUILD_WITH_DBUS)
  find_package(Qt6DBus ${REQUIRED_QT_VERSION})
  if(NOT Qt6DBus_FOUND)
    set(MARBLE_NO_DBUS TRUE)
  endif()
else()
  set(MARBLE_NO_DBUS TRUE)
endif()

SET(CMAKE_AUTOMOC TRUE)

# Use M_PI under Windows
if(WIN32)
    add_definitions(-D_USE_MATH_DEFINES)
endif( WIN32)

####################################################
# build unit tests

INCLUDE (CTest)
ENABLE_TESTING()

####################################################
set(PEDANTIC FALSE CACHE BOOL "Determines if we should compile with -Wall -Werror.")
set(WITH_DESIGNER_PLUGIN TRUE CACHE BOOL "Build plugins for Qt Designer")
add_feature_info("Qt Designer plugins" WITH_DESIGNER_PLUGIN "Marble widget support in Qt Designer. Toggle with WITH_DESIGNER_PLUGIN=YES/NO")

set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX} CACHE PATH  "Base directory for executables and libraries" FORCE)
if(NOT QT_PLUGINS_DIR)
   set(QT_PLUGINS_DIR ${CMAKE_INSTALL_LIBDIR}/plugins)
endif()

####################################################
# Detect default for the user configurable MARBLE_DATA_PATH option

if(WIN32)
    set(data_dir data)
    set(locale_dir "${data_dir}/locale")
    set(plugin_dir plugins)
elseif(APPLE)
    # needed for finding bundle path in e.g. katlasdir.h
    FIND_LIBRARY(APP_SERVICES_LIBRARY ApplicationServices)
    MARK_AS_ADVANCED (APP_SERVICES_LIBRARY)
    SET(MAC_EXTRA_LIBS ${APP_SERVICES_LIBRARY})
      # for Mac OS X, everything is put inside an application bundle
      SET (CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/)
      # path for library references
      SET (CMAKE_INSTALL_NAME_DIR @executable_path/lib)
      # install the Info.plist file
      install(FILES src/mac/Info.plist DESTINATION ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents)
      #SET (lib_dir ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/lib)
      SET (data_dir   ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/resources/data)
      set(locale_dir "${data_dir}/locale")
      SET (plugin_dir   ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/resources/plugins)
elseif(ANDROID)
      set(plugin_dir "${CMAKE_INSTALL_PREFIX}/assets/plugins")
      set(data_dir "${CMAKE_INSTALL_PREFIX}/assets/data")
      set(locale_dir "${data_dir}/locale")
else() # Linux / bsd etc...
      set(data_dir ${CMAKE_INSTALL_FULL_DATAROOTDIR}/marble/data)
      set(locale_dir "${CMAKE_INSTALL_FULL_DATAROOTDIR}/locale")
      set(plugin_dir ${CMAKE_INSTALL_FULL_LIBDIR}/marble/plugins)
endif()

if(NOT ICON_INSTALL_DIR)
	set(ICON_INSTALL_DIR share/icons)
endif(NOT ICON_INSTALL_DIR)

if(NOT APPS_INSTALL_DIR)
	set(APPS_INSTALL_DIR share/applications)
endif(NOT APPS_INSTALL_DIR)

if(NOT INCLUDE_INSTALL_DIR)
    set(INCLUDE_INSTALL_DIR "include")
endif()

if(NOT MARBLE_DATA_PATH)
  set(MARBLE_DATA_PATH ${data_dir})
endif(NOT MARBLE_DATA_PATH)

if(NOT MARBLE_PLUGIN_PATH)
  set(MARBLE_PLUGIN_PATH ${plugin_dir})
endif(NOT MARBLE_PLUGIN_PATH)

if(NOT MARBLE_DATA_INSTALL_PATH)
  set(MARBLE_DATA_INSTALL_PATH ${MARBLE_DATA_PATH})
endif(NOT MARBLE_DATA_INSTALL_PATH)

if(NOT MARBLE_PLUGIN_INSTALL_PATH)
  set(MARBLE_PLUGIN_INSTALL_PATH ${MARBLE_PLUGIN_PATH})
endif(NOT MARBLE_PLUGIN_INSTALL_PATH)

#message( STATUS, "MARBLE_PLUGIN_INSTALL_PATH: ${MARBLE_PLUGIN_INSTALL_PATH}")

if(WIN32)
  set(STATIC_BUILD FALSE CACHE BOOL "Link to static Qt libs (win32 only)?")
endif(WIN32)

add_definitions(
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
)

if(NOT WIN32)
    # Strict iterators can't be used on Windows, they lead to a link error
    # when application code iterates over a QList<QPoint> for instance
    # See example at https://bugreports.qt.io/browse/QTBUG-78112
    add_definitions(-DQT_STRICT_ITERATORS)
endif()
####################################################
# Options for static build
if(STATIC_BUILD)
  set(BUILD_SHARED_LIBS FALSE)
  add_definitions(-DSTATIC_BUILD=1)
else()
  set(BUILD_SHARED_LIBS TRUE)
endif(STATIC_BUILD)

#############################################################
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")
    # Its good programming practice to build with no warnings...
    add_definitions( -Wall -Wextra -Wundef -Wnon-virtual-dtor -Woverloaded-virtual -Wno-long-long
                     -Wchar-subscripts -Wcast-align -Wpointer-arith -Wformat-security)

    # In pedantic mode, treat warnings as errors
    if(PEDANTIC)
        add_definitions( -Werror)
    endif(PEDANTIC)
endif(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc")

#############################################################
# Add a compiler def so that we can conditionally compile
# code in debug mode only (e.g. extra console messages)
IF (CMAKE_BUILD_TYPE MATCHES Debug)
    IF(NOT MINGW)
        ADD_DEFINITIONS(-DDEBUG)
    ELSE(NOT MINGW)
        REMOVE_DEFINITIONS( -DQT_NO_DEBUG)
    ENDIF(NOT MINGW)
ENDIF (CMAKE_BUILD_TYPE MATCHES Debug)

####################################################
# on Win32 set the debug postfix
if(WIN32)
  # distinguish between debug and release plugin
  SET(CMAKE_DEBUG_POSTFIX "d")
endif(WIN32)
####################################################


####################################################
# Add global ECM & KF6 settings
set(KDE_INSTALL_DIRS_NO_DEPRECATED TRUE)
set(KDE_SKIP_UNINSTALL_TARGET ON CACHE BOOL "KDE uninstall target must be disabled")
set(REQUIRED_KF6_MIN_VERSION 6.4.0)

####################################################
# Add the include directories

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/projections
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/geodata
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/geodata/data
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/geodata/graphicsitem
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/geodata/handlers/dgml
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/geodata/parser
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/geodata/writer
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/geodata/scene
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/marble/graphicsview
  ${CMAKE_CURRENT_BINARY_DIR}/src
  ${CMAKE_CURRENT_BINARY_DIR}/src/lib/marble
)
####################################################
# Descend into subdirectories
add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(data)

include(DistTarget)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

option(BUILD_MARBLE_TOOLS "Build various tools related to Marble" OFF)
add_feature_info("Marble tools" BUILD_MARBLE_TOOLS "Build various Marble tools for e.g. file format conversion. Toggle with BUILD_MARBLE_TOOLS=YES/NO.")
if(BUILD_MARBLE_TOOLS)
  add_subdirectory(tools)
endif()

option(BUILD_MARBLE_EXAMPLES "Build C++ examples showing how to use the Marble library" OFF)
add_feature_info("Marble library C++ examples" BUILD_MARBLE_EXAMPLES "Build C++ examples showing how to use the Marble library. Toggle with BUILD_MARBLE_EXAMPLES=YES/NO.")
if(BUILD_MARBLE_EXAMPLES)
  add_subdirectory(examples/cpp)
endif()

####################################################
# Handle translation catalogs of KDE Application release tarball of marble
# (for custom bundle translation handling see data/lang/README)

# KDE Application release tarballs have the respective po files added on tarball creation,
# which are otherwise stored and edited separately on the KDE svn servers.
# Toplevel subdir "poqm/" holds all the po files which should be processed and installed as qm files
marble_install_po_files_as_qm(poqm)

# Toplevel subdir "po/" holds all the po files which should be processed and installed as mo files
# Those are used by app and plugin code building against KI18n.
# So the respective macro ki18n_install can be used.
# Likewise, it contains the translated user documentation, which is handled by kdoctools_install.

=== src/CMakeLists.txt ===
# before add_subdirectory() !
if(MSVC)
  add_definitions(-D_USE_MATH_DEFINES=1)
endif(MSVC)

if(NOT MARBLE_NO_DBUS)
  add_definitions(-DMARBLE_DBUS)
endif()

# disabled for now:
# no public Marble QML plugins are installed, libmarbledeclarative is only a shared lib
if(FALSE)
if(Qt6Quick_FOUND)
  OPTION(IGNORE_CMAKE_INSTALL_PREFIX_FOR_DECLARATIVE_PLUGINS "Install Marble Qt Declarative plugins to QT_IMPORTS_DIR even if that is out of the CMAKE_INSTALL_PREFIX")
  IF(QT_IMPORTS_DIR)
    SET(MARBLE_QT_IMPORTS_DIR ${QT_IMPORTS_DIR})
  ELSE()
    # Fallback when FindQt.cmake (part of cmake) does not define QT_IMPORTS_DIR. Get it from qmake instead.
    EXEC_PROGRAM( qmake ARGS "-query QT_INSTALL_QML" OUTPUT_VARIABLE MARBLE_QT_IMPORTS_DIR)
  ENDIF()
  STRING(LENGTH "${CMAKE_INSTALL_PREFIX}" _MARBLE_CMAKE_INSTALL_PREFIX_LEN)
  STRING(LENGTH "${MARBLE_QT_IMPORTS_DIR}" _MARBLE_QT_IMPORTS_DIR_LEN)
  IF(NOT ${CMAKE_INSTALL_PREFIX} STREQUAL /usr/local)
    IF(NOT ${_MARBLE_QT_IMPORTS_DIR_LEN} LESS ${_MARBLE_CMAKE_INSTALL_PREFIX_LEN})
      STRING(SUBSTRING ${MARBLE_QT_IMPORTS_DIR} 0 ${_MARBLE_CMAKE_INSTALL_PREFIX_LEN} _MARBLE_QT_IMPORTS_DIR_START)
      IF(NOT ${CMAKE_INSTALL_PREFIX} STREQUAL ${_MARBLE_QT_IMPORTS_DIR_START})
        IF(NOT ${IGNORE_CMAKE_INSTALL_PREFIX_FOR_DECLARATIVE_PLUGINS})
          message(STATUS "Please include ${MARBLE_PLUGIN_INSTALL_PATH} in the QML_IMPORT_PATH environment variable to use Marble's Qt declarative plugins.")
          message(STATUS "Note: Marble Desktop does not make use of declarative plugins. Ignore the message above if you only intend to use the Desktop version.")
          SET(MARBLE_QT_IMPORTS_DIR ${MARBLE_PLUGIN_INSTALL_PATH})
        ENDIF()
      ENDIF()
    ELSE()
        IF(NOT ${IGNORE_CMAKE_INSTALL_PREFIX_FOR_DECLARATIVE_PLUGINS})
          message(STATUS "Please include ${MARBLE_PLUGIN_INSTALL_PATH} in the QML_IMPORT_PATH environment variable to use Marble's Qt declarative plugins.")
          message(STATUS "Note: Marble Desktop does not make use of declarative plugins. Ignore the message above if you only intend to use the Desktop version.")
          SET(MARBLE_QT_IMPORTS_DIR ${MARBLE_PLUGIN_INSTALL_PATH})
        ENDIF()
    ENDIF()
  ENDIF()
ENDIF()
endif()

macro_optional_find_package(ZLIB QUIET)
marble_set_package_properties(ZLIB PROPERTIES DESCRIPTION "general-purpose lossless data-compression library")
marble_set_package_properties(ZLIB PROPERTIES URL "https://www.zlib.net/")
marble_set_package_properties(ZLIB PROPERTIES TYPE OPTIONAL PURPOSE "When found, system zlib is used. When not found, a Marble internal zlib is used.")
if(NOT ZLIB_FOUND)
  add_subdirectory(3rdparty/zlib)
  set(ZLIB_LIBRARIES zlibstatic)
  set(ZLIB_INCLUDE_DIRS "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/zlib" "${CMAKE_CURRENT_BINARY_DIR}/3rdparty/zlib")
endif()

add_subdirectory(3rdparty/o5mreader)
add_subdirectory(3rdparty/sgp4)
#add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_subdirectory(lib/marble)
add_subdirectory(lib/astro)
add_subdirectory(lib/marble/declarative)

add_subdirectory(plugins)

option(BUILD_MARBLE_APPS "Build Marble Desktop/Mobile applications" ON)
add_feature_info("Marble Desktop/Mobile applications" BUILD_MARBLE_APPS "Build Marble Desktop/Mobile applications. Toggle with BUILD_MARBLE_APPS=YES/NO.")
if(BUILD_MARBLE_APPS)
  add_subdirectory(apps)
endif()

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config-marble.h.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/config-marble.h
)

if(APPLE)
  add_subdirectory(mac)
endif(APPLE)

# Default logging for where no specific category is set
ecm_qt_export_logging_category(
    IDENTIFIER "MARBLE_DEFAULT"
    CATEGORY_NAME "marble_default"
    EXPORT marble
    DESCRIPTION "Marble (default)"
)

ecm_qt_install_logging_categories(
    EXPORT marble
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

add_subdirectory(plasma)
add_subdirectory(plasmarunner)
add_subdirectory(thumbnailer)

=== src/mac/CMakeLists.txt ===
SUBDIRS(Contents)

=== src/plasmarunner/CMakeLists.txt ===
project(MarblePlasmaRunner)

macro_optional_find_package(KF6 ${KF_MIN_VERSION} QUIET COMPONENTS Runner I18n)

if(NOT KF6_FOUND)
  return()
endif()

add_definitions(-DQT_NO_CAST_FROM_ASCII)

kcoreaddons_add_plugin(plasma_runner_marble INSTALL_NAMESPACE "kf6/krunner")

target_sources(plasma_runner_marble PRIVATE plasmarunner.cpp plasmarunner.h)

target_link_libraries(plasma_runner_marble
  marblewidget
  KF6::Runner
  KF6::I18n
)

=== tools/kml2cache/CMakeLists.txt ===
SET (TARGET kml2cache)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set(${TARGET}_SRC kml2cache.cpp)
add_executable(${TARGET} ${${TARGET}_SRC})
target_link_libraries(${TARGET} marblewidget)

=== tools/kml2kml/CMakeLists.txt ===
SET (TARGET kml2kml)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set(${TARGET}_SRC kml2kml.cpp)
add_executable(${TARGET} ${${TARGET}_SRC})

target_link_libraries(${TARGET} marblewidget)

=== tools/pntdel/CMakeLists.txt ===
SET (TARGET pntdel)
PROJECT (${TARGET})

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set(${TARGET}_SRC pntdel.cpp)
add_executable(${TARGET} ${${TARGET}_SRC})

target_link_libraries(${TARGET} Qt6::Core)

=== src/3rdparty/sgp4/CMakeLists.txt ===
project(sgp4)

include_directories(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set(sgp4_SRCS
 sgp4ext.cpp
 sgp4unit.cpp
 sgp4io.cpp

 sgp4ext.h
 sgp4unit.h
 sgp4io.h
)

add_library(sgp4 STATIC ${sgp4_SRCS})

=== src/lib/marble/declarative/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-3-Clause

# Image Provider

ecm_add_qml_module(marbleimageprovider
    URI "org.kde.marble.imageprovider"
)
target_sources(marbleimageprovider PRIVATE
    DeclarativeMapThemeManager.cpp
    DeclarativeMapThemeManager.h
    MapThemeModel.cpp
    MapThemeModel.h
    imageproviderplugin.cpp
    imageproviderplugin.h
)

target_link_libraries(marbleimageprovider PUBLIC
    marblewidget
    Qt6::Quick
)

ecm_finalize_qml_module(marbleimageprovider DESTINATION ${KDE_INSTALL_QMLDIR})

# QML plugin

ecm_add_qml_module(marbledeclarative
    URI "org.kde.marble"
    GENERATE_PLUGIN_SOURCE
    IMPORTS
        org.kde.marble.imageprovider
)

find_package(Qt6 ${REQUIRED_QT_VERSION} OPTIONAL_COMPONENTS Positioning)
if(Qt6Positioning_FOUND)
    add_definitions(-DHAVE_QT6_POSITIONING)     # PORT_QT6
endif(Qt6Positioning_FOUND)

target_sources(marbledeclarative PRIVATE
    Bookmarks.cpp
    Coordinate.cpp
    GeoItem.cpp
    GeoPolyline.cpp
    MapTheme.cpp
    MarbleDeclarativeObject.cpp
    MarbleQuickItem.cpp
    Placemark.cpp
    PositionSource.cpp
    SearchBackend.cpp
    Tracking.cpp
    Routing.cpp
    Navigation.cpp
    OfflineDataModel.cpp
    RouteRequestModel.cpp
    Settings.cpp
    RouteRelationModel.cpp

    Bookmarks.h
    Coordinate.h
    GeoItem.h
    GeoPolyline.h
    MapTheme.h
    MarbleDeclarativeObject.h
    MarbleQuickItem.h
    Placemark.h
    PositionSource.h
    SearchBackend.h
    Tracking.h
    Routing.h
    Navigation.h
    OfflineDataModel.h
    RouteRequestModel.h
    Settings.h
    RouteRelationModel.h
)

target_link_libraries(marbledeclarative PUBLIC
    marblewidget
    Qt6::Quick
)

if(Qt6Positioning_FOUND)
    target_link_libraries(marbledeclarative PRIVATE Qt6::Positioning)
endif()

ecm_finalize_qml_module(marbledeclarative DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/plugins/designer/latloneditwidget/CMakeLists.txt ===
PROJECT( LatLonEditPlugin)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
 ${Qt6UiPlugin_INCLUDE_DIRS}
 ${Qt6Designer_INCLUDE_DIRS}
)

set(latloneditplugin_SRCS LatLonEditPlugin.cpp LatLonEditPlugin.h)

marble_add_designer_plugin( LatLonEditPlugin ${latloneditplugin_SRCS})

=== src/plugins/runner/nominatim-reversegeocoding/CMakeLists.txt ===
PROJECT( NominatimReverseGeocodingPlugin)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set(nominatim_SRCS OsmNominatimReverseGeocodingRunner.cpp NominatimReverseGeocodingPlugin.cpp
    OsmNominatimReverseGeocodingRunner.h NominatimReverseGeocodingPlugin.h
)

marble_add_plugin( NominatimReverseGeocodingPlugin ${nominatim_SRCS})

=== src/plugins/runner/pnt/CMakeLists.txt ===
PROJECT( PntPlugin)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set(pnt_SRCS PntPlugin.cpp PntRunner.cpp PntPlugin.h PntRunner.h)

marble_add_plugin( PntPlugin ${pnt_SRCS})

=== debian/changelog ===
marble (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:20:02 +0000

marble (4:25.08.2-0ubuntu3) resolute; urgency=medium

  * debian/marble-apparmor: fix profile syntax (LP: #2109937)
    - Thanks to Theofilos Intzoglou (parapente).

 -- Robert Kratky <robert.kratky@canonical.com>  Tue, 21 Oct 2025 13:37:53 +0200

marble (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 15:07:06 +0100

marble (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:57:18 +0100

marble (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:59:05 +0100

marble (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:34:25 +0100

=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <werdahias@debian.org>,
Build-Depends: cmake (>= 3.20~),
               debhelper-compat (= 13),
               dh-apparmor,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libabsl-dev,
               libgps-dev (>= 3.22),
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6doctools-dev (>= 6.4.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.4.0~),
               libkf6parts-dev (>= 6.5.0~),
               libkf6runner-dev (>= 6.5.0~),
               libopencv-core-dev,
               libopencv-highgui-dev,
               libopencv-imgproc-dev,
               libopencv-videoio-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libplasma-dev (>= 6.0.0~),
               libprotobuf-dev,
               libprotoc-dev,
               libshp-dev,
               pkg-kde-tools,
               pkgconf,
               protobuf-compiler,
               qml6-module-org-kde-kcmutils,
               qml6-module-org-kde-kirigamiaddons-formcard,
               qml6-module-org-kde-plasma-plasma5support,
               qt6-5compat-dev (>= 6.6~),
               qt6-base-dev (>= 6.6~),
               qt6-declarative-dev (>= 6.6~),
               qt6-declarative-private-dev,
               qt6-multimedia-dev,
               qt6-positioning-dev,
               qt6-serialport-dev,
               qt6-svg-dev (>= 6.6~),
               qt6-tools-dev,
               qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf i386],
               shared-mime-info,
               zlib1g-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://marble.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/marble

Package: libastro-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libastro1 (= ${binary:Version}),
         ${misc:Depends},
Description: development files for the Marble astrononmy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble astronomy library
 .
 This package is part of the KDE education module.

Package: libastro1
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Marble astronomy library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for astronomy support in marble.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libastro-dev (= ${binary:Version}),
         libmarblewidget-qt6-28 (= ${binary:Version}),
         qt6-declarative-dev (>= 6.6~),
         qt6-svg-dev (>= 6.6~),
         qt6-webengine-dev (>= 6.6~) [amd64 arm64 armhf i386],
         ${misc:Depends},
         ${sameVersionDep:qt6-base-dev:libmarblewidget-qt6-28},
         ${shlibs:Depends},
Description: development files for the Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: libmarblewidget-qt6-28
Architecture: any
Section: libs
Multi-Arch: same
Depends: marble-qt-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: marble-plugins (= ${binary:Version}),
Description: Marble globe widget library
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: gosmore, monav-routing-daemon, routino, apparmor
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-behaim
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Breaks: marble-maps (<< 4:24.12.0-1~),
Replaces: marble-maps (<< 4:24.12.0-1~),
Description: Behaim globe
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package displays a virtual representation of Martin Behaim’s globe.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Multi-Arch: foreign
Depends: marble-qt-data (= ${source:Version}), ${misc:Depends},
Description: data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-maps
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Suggests: gosmore, monav-routing-daemon, routino,
Description: globe and map widget for mobile form factors
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: plugins for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package provides a build of Marble that only depends on Qt libraries
 with no additional KDE dependencies.
 .
 This package is part of the KDE education module.

Package: marble-qt-data
Architecture: all
Section: misc
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt-only data files for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the architecture-independent data files for the Qt-only
 version of the Marble desktop globe.
 .
 This package is part of the KDE education module.

Package: plasma-marble
Architecture: any
Section: misc
Depends: marble-data (>= ${source:Version}),
         marble-plugins (= ${binary:Version}),
         plasma-framework,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Plasma integration for Marble
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the Marble integration with Plasma:
  * the Plasma runner
  * the World Clock widget
  * the Plasma wallpaper
 .
 This package is part of the KDE education module.

Package: qml6-module-org-kde-marble
Architecture: any
Section: misc
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Marble QML module
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the QML bindings for libmarble.
 .
 This package is part of the KDE education module.

Package: qml6-module-org-kde-marble-imageprovider
Architecture: any
Section: misc
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Marble impage provider QML module
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package contains the QML bindings for libmarble’s image providers.
 .
 This package is part of the KDE education module.

## marble 25.08.3+p24.04+vunstable+git20251123.0255

=== debian/changelog ===
marble (4:25.08.3+p24.04+vunstable+git20251123.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 02:55:51 +0000

marble (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:35:47 +1000

## marble 25.08.3+p24.04+vunstable+git20251206.0808

=== debian/changelog ===
marble (4:25.08.3+p24.04+vunstable+git20251206.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:08:57 +0000

## marble 25.08.3+p24.04+vunstable+git20251208.0907

=== debian/changelog ===
marble (4:25.08.3+p24.04+vunstable+git20251208.0907-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 09:07:44 +0000

## marble 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(MARBLE_LIB_SOVERSION 28)

=== src/thumbnailer/CMakeLists.txt ===
project(MarbleThumbnailer)

macro_optional_find_package(KF6 ${REQUIRED_KF6_MIN_VERSION} QUIET COMPONENTS KIO)

if(NOT KF6_FOUND)
  return()
endif()

set(marblethumbnail_SRCS
  thumbnailer.cpp
  thumbnailer.h
)
add_library(marblethumbnail STATIC ${marblethumbnail_SRCS})
target_link_libraries(marblethumbnail
  marblewidget
  KF6::KIOGui
)

=== src/apps/marble-kde/CMakeLists.txt ===
set(marble_kde_SRCS 
  kdemain.cpp 
  KdeMainWindow.cpp 
  marble_part.cpp
  KdeMainWindow.h
  marble_part.h
)

set(marblepart_SRCS marble_part.cpp  marble_part.h)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../marble-ui)
kconfig_add_kcfg_files(marblepart_SRCS settings.kcfgc)
add_library(marble_part ${marblepart_SRCS})
set_target_properties(marble_part PROPERTIES PREFIX "${CMAKE_SHARED_LIBRARY_PREFIX}")
target_link_libraries(marble_part
    marbleui
    marblewidget
    KF6::Parts
    KF6::CoreAddons
    KF6::I18n
)

install(TARGETS marble_part DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES marble_part.rc marbleui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/marble)

ki18n_wrap_ui(marble_kde_SRCS ${marble_UI})
kconfig_add_kcfg_files(marble_kde_SRCS settings.kcfgc)

ecm_install_icons(ICONS
    "${CMAKE_SOURCE_DIR}/data/icons/128-apps-marble.png"
    "${CMAKE_SOURCE_DIR}/data/icons/16-apps-marble.png"
    "${CMAKE_SOURCE_DIR}/data/icons/22-apps-marble.png"
    "${CMAKE_SOURCE_DIR}/data/icons/32-apps-marble.png"
    "${CMAKE_SOURCE_DIR}/data/icons/48-apps-marble.png"
    "${CMAKE_SOURCE_DIR}/data/icons/64-apps-marble.png"
    DESTINATION ${KDE_INSTALL_ICONDIR})
add_executable (marble ${marble_kde_SRCS})

target_link_libraries (
    marble
    marbleui
    marblewidget
    astro
    KF6::Parts
    KF6::Crash
    KF6::CoreAddons
    KF6::I18n
)

## this works for win32 only because FindQt does not handle this correct
if(STATIC_BUILD AND WIN32)
    target_link_libraries(marble ${QT_PLUGINS_DIR}/imageformats/qjpeg.lib)
    target_link_libraries(marble ${QT_PLUGINS_DIR}/imageformats/qsvg.lib)
endif()

install(TARGETS marble ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.marble.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.marble.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES marble.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

# Handle mo-targetted translation catalogs and translated user documentation
# as added for release tarballs.
# See toplevel CMakeLists.txt for further explanation why it is done here
ki18n_install(${CMAKE_SOURCE_DIR}/po)

macro_optional_find_package(KF6 ${REQUIRED_KF6_MIN_VERSION} QUIET COMPONENTS DocTools)

if(KF6DocTools_FOUND)
    kdoctools_install(${CMAKE_SOURCE_DIR}/po)
endif()

=== src/plugins/runner/gpx/CMakeLists.txt ===
PROJECT( GpxPlugin)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_SOURCE_DIR}/handlers
 ${CMAKE_CURRENT_BINARY_DIR}
)

set(gpx_handlers_SRCS
        handlers/GPXElementDictionary.cpp
        handlers/GPXgpxTagHandler.cpp
        handlers/GPXnameTagHandler.cpp
        handlers/GPXdescTagHandler.cpp
        handlers/GPXtypeTagHandler.cpp
        handlers/GPXtrkTagHandler.cpp
        handlers/GPXtrkptTagHandler.cpp
        handlers/GPXtrksegTagHandler.cpp
        handlers/GPXwptTagHandler.cpp
        handlers/GPXtimeTagHandler.cpp
        handlers/GPXeleTagHandler.cpp
        handlers/GPXextensionsTagHandler.cpp
        handlers/GPXTrackPointExtensionTagHandler.cpp
        handlers/GPXhrTagHandler.cpp
        handlers/GPXrteTagHandler.cpp
        handlers/GPXrteptTagHandler.cpp
        handlers/GPXcmtTagHandler.cpp
        handlers/GPXlinkTagHandler.cpp
        handlers/GPXurlTagHandler.cpp
        handlers/GPXurlnameTagHandler.cpp

        handlers/GPXElementDictionary.h
        handlers/GPXgpxTagHandler.h
        handlers/GPXnameTagHandler.h
        handlers/GPXdescTagHandler.h
        handlers/GPXtypeTagHandler.h
        handlers/GPXtrkTagHandler.h
        handlers/GPXtrkptTagHandler.h
        handlers/GPXtrksegTagHandler.h
        handlers/GPXwptTagHandler.h
        handlers/GPXtimeTagHandler.h
        handlers/GPXeleTagHandler.h
        handlers/GPXextensionsTagHandler.h
        handlers/GPXTrackPointExtensionTagHandler.h
        handlers/GPXhrTagHandler.h
        handlers/GPXrteTagHandler.h
        handlers/GPXrteptTagHandler.h
        handlers/GPXcmtTagHandler.h
        handlers/GPXlinkTagHandler.h
        handlers/GPXurlTagHandler.h
        handlers/GPXurlnameTagHandler.h

)

set(gpx_SRCS GpxParser.cpp GpxPlugin.cpp GpxRunner.cpp GpxPlugin.h GpxRunner.h)

marble_add_plugin( GpxPlugin ${gpx_SRCS}  ${gpx_handlers_SRCS})

if(BUILD_TESTING)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/tests)
    set(TestTrack_SRCS tests/TestTrack.cpp GpxParser.cpp ${gpx_handlers_SRCS})
    qt_generate_moc( tests/TestTrack.cpp ${CMAKE_CURRENT_BINARY_DIR}/TestTrack.moc)
    set(TestTrack_SRCS TestTrack.moc ${TestTrack_SRCS})

    add_executable(TestTrack ${TestTrack_SRCS})
    target_link_libraries(TestTrack Qt6::Test
                                     marblewidget)
    set_target_properties( TestTrack PROPERTIES
                            COMPILE_FLAGS "-DDATA_PATH=\"\\\"${DATA_PATH}\\\"\" -DPLUGIN_PATH=\"\\\"${PLUGIN_PATH}\\\"\"")
		    add_test( NAME TestTrack COMMAND TestTrack)
endif()

macro_optional_find_package(KF6 ${REQUIRED_KF6_MIN_VERSION} QUIET COMPONENTS KIO)
if(NOT KF6_FOUND)
    return()
endif()

kcoreaddons_add_plugin(marble_thumbnail_gpx SOURCES thumbnail.cpp INSTALL_NAMESPACE "kf6/thumbcreator")
target_link_libraries(marble_thumbnail_gpx PRIVATE marblethumbnail)

# register marble part as handler
# install again once part is fixed to load and show the passed file
# install(FILES marble_part_gpx.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

if(NOT WIN32 AND NOT APPLE)
    # register marble app as handler
    install(FILES marble_gpx.desktop DESTINATION ${KDE_INSTALL_APPDIR})
endif()

=== src/plugins/runner/json/CMakeLists.txt ===
PROJECT( JsonPlugin)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
)

set(json_SRCS JsonRunner.cpp JsonPlugin.cpp JsonParser.cpp JsonRunner.h JsonPlugin.h JsonParser.h)

marble_add_plugin( JsonPlugin ${json_SRCS})

macro_optional_find_package(KF6 ${REQUIRED_KF6_MIN_VERSION} QUIET COMPONENTS KIO)
if(NOT KF6_FOUND)
    return()
endif()

kcoreaddons_add_plugin(marble_thumbnail_geojson SOURCES thumbnail.cpp INSTALL_NAMESPACE "kf6/thumbcreator")
target_link_libraries(marble_thumbnail_geojson PRIVATE marblethumbnail)

# register marble part as handler
# install again once part is fixed to load and show the passed file
# install(FILES marble_part_geojson.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

if(NOT WIN32 AND NOT APPLE)
    # register marble app as handler
    install(FILES marble_geojson.desktop DESTINATION ${KDE_INSTALL_APPDIR})
endif()

=== src/plugins/runner/kml/CMakeLists.txt ===
PROJECT( KmlPlugin)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
 ${CMAKE_SOURCE_DIR}/src/lib/marble/geodata/handlers/kml
)

set(kml_SRCS KmlParser.cpp KmlPlugin.cpp KmlRunner.cpp KmlParser.h KmlPlugin.h KmlRunner.h)

marble_add_plugin( KmlPlugin ${kml_SRCS})

macro_optional_find_package(KF6 ${REQUIRED_KF6_MIN_VERSION} QUIET COMPONENTS KIO)
if(NOT KF6_FOUND)
    return()
endif()

# register marble part as handler
# install again once part is fixed to load and show the passed file
# install(FILES marble_part_kml.desktop DESTINATION ${KDE_INSTALL_FULL_KSERVICESDIR})
# install(FILES marble_part_kmz.desktop DESTINATION ${KDE_INSTALL_FULL_KSERVICESDIR})

kcoreaddons_add_plugin(marble_thumbnail_kml SOURCES thumbnail_kml.cpp INSTALL_NAMESPACE "kf6/thumbcreator")
target_link_libraries(marble_thumbnail_kml PRIVATE marblethumbnail)

kcoreaddons_add_plugin(marble_thumbnail_kmz SOURCES thumbnail_kmz.cpp INSTALL_NAMESPACE "kf6/thumbcreator")
target_link_libraries(marble_thumbnail_kmz PRIVATE marblethumbnail)

if(NOT WIN32 AND NOT APPLE)
    # register marble app as handler
    install(FILES marble_kml.desktop DESTINATION ${KDE_INSTALL_FULL_APPDIR})
    install(FILES marble_kmz.desktop DESTINATION ${KDE_INSTALL_FULL_APPDIR})
endif()

=== src/plugins/runner/osm/CMakeLists.txt ===
PROJECT( OsmPlugin)

INCLUDE_DIRECTORIES(
 ${CMAKE_SOURCE_DIR}/src/3rdparty/o5mreader
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_SOURCE_DIR}/writers
 ${CMAKE_CURRENT_SOURCE_DIR}/translators
 ${CMAKE_CURRENT_BINARY_DIR}
 ${ZLIB_INCLUDE_DIRS}
)

if(Protobuf_FOUND AND Protobuf_PROTOC_EXECUTABLE AND NOT MSVC) # FIXME linking issue on Windows
    find_package( absl REQUIRED)
    protobuf_generate_cpp(pbf_srcs pbf_hdrs
        ${CMAKE_SOURCE_DIR}/tools/osm-addresses/pbf/fileformat.proto
        ${CMAKE_SOURCE_DIR}/tools/osm-addresses/pbf/osmformat.proto
)
    set(EXTRA_LIBS protobuf::libprotobuf protobuf::libprotoc ${ZLIB_LIBRARIES} absl::log_internal_message absl::log_internal_check_op)
    add_definitions(-DHAVE_PROTOBUF)

	if(MSVC)
	add_definitions(-DPROTOBUF_USE_DLLS)
	endif()
endif()

set(osm_writers_SRCS
        writers/OsmObjectAttributeWriter.cpp
        writers/OsmNodeTagWriter.cpp
        writers/OsmWayTagWriter.cpp
        writers/OsmRelationTagWriter.cpp
        writers/OsmTagWriter.cpp
        writers/OsmTagTagWriter.cpp

        writers/OsmObjectAttributeWriter.h
        writers/OsmNodeTagWriter.h
        writers/OsmWayTagWriter.h
        writers/OsmRelationTagWriter.h
        writers/OsmTagWriter.h
        writers/OsmTagTagWriter.h
  )
set(osm_translators_SRCS
        translators/OsmDocumentTagTranslator.cpp
        translators/O5mWriter.cpp
        translators/OsmConverter.cpp

        translators/OsmDocumentTagTranslator.h
        translators/O5mWriter.h
        translators/OsmConverter.h
  )

set(osm_SRCS
  OsmParser.cpp
  OsmPlugin.cpp
  OsmRunner.cpp
  OsmNode.cpp
  OsmWay.cpp
  OsmRelation.cpp
  OsmElementDictionary.cpp
  OsmPbfParser.cpp

  OsmParser.h
  OsmPlugin.h
  OsmRunner.h
  OsmNode.h
  OsmWay.h
  OsmRelation.h
  OsmElementDictionary.h
  OsmPbfParser.h

  ${pbf_srcs}
)

marble_add_plugin( OsmPlugin ${osm_SRCS} ${osm_writers_SRCS} ${osm_translators_SRCS})
target_link_libraries(OsmPlugin o5mreader ${EXTRA_LIBS})

macro_optional_find_package(KF6 ${REQUIRED_KF6_MIN_VERSION} QUIET COMPONENTS KIO)
if(NOT KF6_FOUND)
    return()
endif()

kcoreaddons_add_plugin(marble_thumbnail_osm SOURCES thumbnail.cpp INSTALL_NAMESPACE "kf6/thumbcreator")
target_link_libraries(marble_thumbnail_osm PRIVATE marblethumbnail)

# register marble part as handler
# install again once part is fixed to load and show the passed file
# install(FILES marble_part_osm.desktop DESTINATION ${KDE_INSTALL_FULL_KSERVICE5DIR})

=== src/plugins/runner/shp/CMakeLists.txt ===
PROJECT( ShpPlugin)

INCLUDE_DIRECTORIES(
 ${CMAKE_CURRENT_SOURCE_DIR}
 ${CMAKE_CURRENT_BINARY_DIR}
 ${LIBSHP_INCLUDE_DIR}
)

set(shp_SRCS ShpPlugin.cpp ShpRunner.cpp)

set(ShpPlugin_LIBS ${LIBSHP_LIBRARIES})

marble_add_plugin( ShpPlugin ${shp_SRCS})

macro_optional_find_package(KF6 ${REQUIRED_KF6_MIN_VERSION} QUIET COMPONENTS KIO)
if(NOT KF6_FOUND)
    return()
endif()

# register marble part as handler
# install again once part is fixed to load and show the passed file
# install(FILES marble_part_shp.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

kcoreaddons_add_plugin(marble_thumbnail_shp SOURCES thumbnail.cpp INSTALL_NAMESPACE "kf6/thumbcreator")
target_link_libraries(marble_thumbnail_shp PRIVATE marblethumbnail)

if(NOT WIN32 AND NOT APPLE)
    # register marble app as handler
    install(FILES marble_shp.desktop DESTINATION ${KDE_INSTALL_APPDIR})
endif()

=== debian/changelog ===
marble (4:25.11.80-0ubuntu2) resolute; urgency=medium

  * Rebuild against new libgps31.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 23 Nov 2025 03:38:56 +0100

marble (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:57:25 +0000

## marble 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 set(MARBLE_LIB_SOVERSION 28)

=== debian/changelog ===
marble (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:16:43 +0000
